[Secure-testing-commits] r31947 - bin
Paul Wise
pabs at moszumanska.debian.org
Wed Feb 4 00:04:38 UTC 2015
Author: pabs
Date: 2015-02-04 00:04:37 +0000 (Wed, 04 Feb 2015)
New Revision: 31947
Added:
bin/compare-embed-usertags
Log:
wip
Added: bin/compare-embed-usertags
===================================================================
--- bin/compare-embed-usertags (rev 0)
+++ bin/compare-embed-usertags 2015-02-04 00:04:37 UTC (rev 31947)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Copyright 2015 Paul Wise <pabs at debian.org>
+#
+# This file is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this file. If not, see <https://www.gnu.org/licenses/>.
+
+# compare-embed-usertags
+# Compares usertags matching *embed* with the embedded-code-copies data
+# and reports any bugs that are missing from the embedded-code-copies data
+
+if [ ! -f data/embedded-code-copies ] ; then
+ echo "Please run from the top-level directory of the repository" >&2
+ exit 1
+fi
+
+header=1
+rsync --recursive rsync://bugs.debian.org/bts-spool-index/user/ data/usertags/
+grep --recursive --ignore-case --files-with-matches '^Tag:.*embed' data/usertags/ |
+while read user ; do
+ sed --silent '/^Tag:.*embed/,/^$/p' "$user" |
+ grep --only-matching '[0-9]\+'
+done |
+sort --unique |
+while read bug ; do
+ if ! grep --silent --fixed-strings "$bug" data/embedded-code-copies ; then
+ test "$header" -eq 1 && printf 'Please add these bugs to data/embedded-code-copies\n\n'
+ printf 'https://bugs.debian.org/%s\n' "$bug"
+ header=0
+ fi
+done
Property changes on: bin/compare-embed-usertags
___________________________________________________________________
Added: svn:executable
+ *
More information about the Secure-testing-commits
mailing list